package info.aspirecn.iov.sjjh.supplier10000033;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.context.ApplicationContext;
import org.springframework.core.env.Environment;
import org.springframework.util.StopWatch;

import com.fasterxml.jackson.core.JsonProcessingException;

import info.aspirecn.rdc.aspirecloud.node.except.annotations.EnableAspireCloudRdcHandleExcept;
import lombok.extern.slf4j.Slf4j;

/**
 * 
 * @author bzh
 *
 */
@SpringBootApplication
@EnableAspireCloudRdcHandleExcept
@Slf4j
@EnableEurekaClient
public class App {
	public static void main(String[] args) throws JsonProcessingException {
        StopWatch watch = new StopWatch();
        watch.start();

        ApplicationContext context = SpringApplication.run(App.class, args);
        Environment environment = context.getBean(Environment.class);
        String applicationName = environment.getProperty("spring.application.name");
        
        
        watch.stop();
        log.info("{} 启动完毕，times={}s", applicationName, watch.getTotalTimeSeconds());
    }
	
}