package info.aspirecn.iov.sjjh.supplier10000033;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * 
 * @author minmin
 *
 */
@Configuration
@EnableSwagger2
public class SwaggerConfig {
	@Value("${swagger.show}")
    private boolean swaggerShow;

    @Bean
    public Docket createRestApi() {

        return new Docket(DocumentationType.SWAGGER_2).enable(swaggerShow).apiInfo(apiInfo()).select()
                .apis(RequestHandlerSelectors.basePackage("info.aspirecn.iov.sjjh.supplier10000033.action"))
                .paths(PathSelectors.any()).build();
    }

    private ApiInfo apiInfo() {
        return new ApiInfoBuilder().title("10000033通道接口").description("").termsOfServiceUrl("").version("1.0.0").build();
    }
}