package info.aspirecn.iov.sjjh.supplier10000033.service;

import java.io.IOException;
import java.net.SocketTimeoutException;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.TimeUnit;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.codec.digest.DigestUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.exc.UnrecognizedPropertyException;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;
import info.aspirecn.iov.sjjh.commons.lang.Constant;
import info.aspirecn.iov.sjjh.supplier10000033.SjjhConstants;
import info.aspirecn.iov.sjjh.supplier10000033.vo.ChattelMortgageJsonResolveObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.ChattelMortgageResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.CommonPageResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.CompanyCreditDetailsResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.CompanyInfoResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.CompanyJsonResolveObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.CompanySearchJsonResolveObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.CompanySearchResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.EnvPunishmentResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.JudgementDetailJsonResolveObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.JudgementDetailResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.JudicialAssistanceResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.JudicialSaleListResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.LandMortgageListResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.ResultBody;
import info.aspirecn.iov.sjjh.supplier10000033.vo.SearchCourtAnnouncementJsonResolveObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.SearchCourtAnnouncementResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.SearchCourtNoticeJsonResolveObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.SearchCourtNoticeResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.SearchJudgmentDocJsonResolveObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.SearchJudgmentDocResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.SearchShiXinResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.SearchShiXinZhiXingJsonResolveObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.SearchZhiXingResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.SeriousViolationListResponseObject;
import info.aspirecn.iov.sjjh.supplier10000033.vo.SimpleCancellationResponseObject;
import info.aspirecn.rdc.aspirecloud.node.except.utils.ErrorUtils;
import lombok.extern.slf4j.Slf4j;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;


/**
 * 
 * @author bzh
 *
 */
@Slf4j
@Service
public class Supplier10000033ServiceImpl implements Supplier10000033Service {	
	
	@Value("${custom.url}")
	private String url;
	@Value("${custom.key}")
	private String key;
	@Value("${custom.secretKey}")
	private String secretKey;
	@Value("${custom.sleepTime}")
	private String sleepTime;
	
	@Value("${custom.companyDetailsSearchUrl}")
	private String companyDetailsSearchUrl;
	@Value("${custom.searchJudgmentDocUrl}")
	private String searchJudgmentDocUrl;
	@Value("${custom.judgementDetailUrl}")
	private String judgementDetailUrl;
	@Value("${custom.searchShiXinUrl}")
	private String searchShiXinUrl;
	@Value("${custom.searchZhiXingUrl}")
	private String searchZhiXingUrl;
	@Value("${custom.searchCourtAnnouncementUrl}")
	private String searchCourtAnnouncementUrl;
	@Value("${custom.searchCourtNoticeUrl}")
	private String searchCourtNoticeUrl;
	
	@Value("${custom.judicialAssistanceUrl}")
	private String judicialAssistanceUrl;
	@Value("${custom.chattelMortgageUrl}")
	private String chattelMortgageUrl;
	@Value("${custom.envPunishmentUrl}")
	private String envPunishmentUrl;
	@Value("${custom.simpleCancellationUrl}")
	private String simpleCancellationUrl;
	@Value("${custom.judicialSaleListUrl}")
	private String judicialSaleListUrl;
	@Value("${custom.landMortgageListUrl}")
	private String landMortgageListUrl;
	@Value("${custom.seriousViolationListUrl}")
	private String seriousViolationListUrl;
	@Value("${custom.getInfoUrl}")
	private String getInfoUrl;
	
	
	private OkHttpClient okHttpClient = new OkHttpClient.Builder().build();
	@Override
	public ChannelTypeHandleResponseObject queryCompanyCreditDetails(HttpServletRequest request, String customBody,
			int outTime) {
		
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		ret.setCode(Constant.SUCCESS);
		String upstreamCode = "" + Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		try {
			if (outTime <= SjjhConstants.PARA_ZERO) {
				outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
			}
			log.info("queryCompanyCreditDetails---customBody={},outTime={}",customBody,outTime);
			ObjectMapper objectMapper = new ObjectMapper();
			CompanyJsonResolveObject jsonResolveObject=objectMapper.readValue(customBody,
					CompanyJsonResolveObject.class);
			log.info("supplier10000033.queryCompanyCreditDetails---requestObject={}", jsonResolveObject);
			List<String> list=new ArrayList<String>();
			if (StringUtils.isBlank(jsonResolveObject.getName())&&"".equals(jsonResolveObject.getName())) {
				list.add("name");
			}
			/*if (StringUtils.isBlank(jsonResolveObject.getCreditCode())&&"".equals(jsonResolveObject.getCreditCode())) {
				list.add("creditCode");
			}*/
			if (list.size() > 0) {
				ResultBody resultBody = new ResultBody();
				resultBody.setCode(3);
				resultBody.setResultList(list);
				ret.setResultBody(resultBody);
				ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				return ret;
			}
			String[] autherHeader = RandomAuthentHeader();
			String companyUrl = url+"?key="+key+"&keyword="+jsonResolveObject.getName();
			Request okRequest = new Request.Builder()
	         .url(companyUrl)
	         .addHeader(SjjhConstants.TOKEN,autherHeader[0])
	         .addHeader(SjjhConstants.TIMESPAN,autherHeader[1])
	         .build();
			OkHttpClient  client = okHttpClient.newBuilder()
                    .connectTimeout(outTime,TimeUnit.MILLISECONDS)
                    .writeTimeout(outTime,TimeUnit.MILLISECONDS)
                    .readTimeout(outTime,TimeUnit.MILLISECONDS)
                    .build();
		    Response response = client.newCall(okRequest).execute();
            String responseContext = response.body().string();
            log.info("supplier10000033.queryCompanyCreditDetails接口responseContext={}", responseContext);
            CompanyCreditDetailsResponseObject responseObject = objectMapper.readValue(
					responseContext, CompanyCreditDetailsResponseObject.class);
            log.info("supplier10000033.queryCompanyCreditDetails接口responseObject={}", responseObject);
            if (responseObject != null) {
				if (responseObject.getStatus().equals(SjjhConstants.INTERFACE_CODE_200)) {
					// 查询成功
					ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
					if(responseObject.getResult().getName() == null || "".equals(responseObject.getResult().getName())){
						list.add("name");
					}
					/*if(responseObject.getResult().getCreditCode() == null || "".equals(responseObject.getResult().getCreditCode())){
						list.add("creditCode");
					}*/
					if(list.size() > 0){
						//数据源为空响应
						ret.setResultCode(Constant.UN_MATCH_CODE);
						ResultBody resultBody = new ResultBody();
						resultBody.setCode(1);
						resultBody.setResultList(list);
						ret.setResultBody(resultBody);
					}else{
						if (!ReplaceName(jsonResolveObject.getName()).equals(ReplaceName(responseObject.getResult().getName()))) {
							list.add("name");
						}
						/*if (!jsonResolveObject.getCreditCode().equals(responseObject.getResult().getCreditCode())) {
							list.add("creditCode");
						}*/
						if(list.size() > 0){
							//数据不一致响应
							ret.setResultCode(Constant.UN_MATCH_CODE);
							ResultBody resultBody = new ResultBody();
							resultBody.setCode(2);
							resultBody.setResultList(list);
							ret.setResultBody(resultBody);
						}else {
							//数据一致响应
							ret.setResultCode(Constant.MATCH_CODE);
							ret.setResultBody(responseObject.getResult().getNo());
						}
					}
			 	 }else if (responseObject.getStatus().equals(SjjhConstants.INTERFACE_CODE_201)) {
			 		ret.setResultCode(Constant.UN_FIND_NUM_CODE);
					ResultBody resultBody = new ResultBody();
					list.add("name");
					//list.add("creditCode");
					resultBody.setCode(1);
					resultBody.setResultList(list);
					ret.setResultBody(resultBody);
				}else{
					//上游错误码
					ResultBody resultBody = new ResultBody();
					resultBody.setCode(3);
					//resultBody.setErrorinfo(responseObject.getMessage());
					list.add("name");
					//list.add("creditCode");
					resultBody.setResultList(list);
					ret.setResultBody(resultBody);
					ret.setResultCode(Constant.OTHER_ERROR_CODE);
				}
            }else{
				ResultBody resultBody = new ResultBody();
				resultBody.setCode(3);
				//resultBody.setErrorinfo(Constant.OTHER_ERROR);
				list.add("name");
				//list.add("creditCode");
				resultBody.setResultList(list);
				ret.setResultBody(resultBody);
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
            response.close();
			request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, responseObject.getStatus());
		} catch (SocketTimeoutException ste) {
			 ErrorUtils.captureException(ste);
	            log.info("supplier10000033.queryCompanyCreditDetails接口SocketTimeoutException={}", ste);
	            ret.setCode(Constant.REQUEST_TIMEOUT);
		} catch (UnrecognizedPropertyException upe) {
			log.info("supplier10000033.queryCompanyCreditDetails接口-UnrecognizedPropertyException：{}", upe);
			ErrorUtils.captureException(upe);
			List<String> list=new ArrayList<String>();
			ResultBody resultBody = new ResultBody();
			resultBody.setCode(3);
			list.add("name"); 
			//list.add("creditCode");
			resultBody.setResultList(list);
			ret.setResultBody(resultBody);
			ret.setResultCode(Constant.UN_MATCH_CODE);
			return ret;
		} catch (IOException ioe) {
			log.info("supplier10000033.queryCompanyCreditDetails接口-Exception：{}", ioe);
			ErrorUtils.captureException(ioe);
			ret.setCode(Constant.FAIL);
		}
		return ret;
	}


	@Override
	public ChannelTypeHandleResponseObject queryCompanyCreditDetailsSjxy(HttpServletRequest request, String customBody,
																	 int outTime) {

		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setCode(Constant.SUCCESS);
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		String upstreamCode = "" + Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
		try {
			if (outTime <= SjjhConstants.PARA_ZERO) {
				outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
			}
			log.info("queryCompanyCreditDetailsSjxy---customBody={},outTime={}",customBody,outTime);
			ObjectMapper objectMapper = new ObjectMapper();
			CompanyJsonResolveObject jsonResolveObject=objectMapper.readValue(customBody,
					CompanyJsonResolveObject.class);
			log.info("supplier10000033.queryCompanyCreditDetailsSjxy---requestObject={}", jsonResolveObject);
			if(StringUtils.isBlank(jsonResolveObject.getName())) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			String[] autherHeader = RandomAuthentHeader();
			String companyUrl = url+"?key="+key+"&keyword="+jsonResolveObject.getName();
			Request okRequest = new Request.Builder()
					.url(companyUrl)
					.addHeader(SjjhConstants.TOKEN,autherHeader[0])
					.addHeader(SjjhConstants.TIMESPAN,autherHeader[1])
					.build();
			OkHttpClient  client = okHttpClient.newBuilder()
					.connectTimeout(outTime,TimeUnit.MILLISECONDS)
					.writeTimeout(outTime,TimeUnit.MILLISECONDS)
					.readTimeout(outTime,TimeUnit.MILLISECONDS)
					.build();
			Response response = client.newCall(okRequest).execute();
			String responseContext = response.body().string();
			log.info("supplier10000033.queryCompanyCreditDetailsSjxy接口responseContext={}", responseContext);
			CompanyCreditDetailsResponseObject responseObject = objectMapper.readValue(
					responseContext, CompanyCreditDetailsResponseObject.class);
			log.info("supplier10000033.queryCompanyCreditDetailsSjxy接口responseObject={}", responseObject);
			if (responseObject != null) {
				upstreamCode = responseObject.getStatus();
				if (SjjhConstants.INTERFACE_CODE_200.equals(responseObject.getStatus())) {
					// 查询成功
					ret.setIsCharge(Constant.IS_CHARGE);
					if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
						ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
					} else {
						ret.setResultCode(Constant.MATCH_CODE);
					}
					ret.setResultBody(objectMapper.writeValueAsString(responseObject.getResult()));
					ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_TEXT);
				}else if(SjjhConstants.INTERFACE_CODE_201.equals(responseObject.getStatus())){
					if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
						ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
					} else {
						ret.setResultCode(Constant.UN_FIND_NUM_CODE);
					}
					ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
					ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
				}else{
					if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
						ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
					} else {
						ret.setResultCode(Constant.OTHER_ERROR_CODE);
					}
					ret.setResultDesc(Constant.OTHER_ERROR);
					ret.setResultBody(Constant.OTHER_ERROR);
				}
			}else{
				if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
					ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
				} else {
					ret.setResultCode(Constant.OTHER_ERROR_CODE);
				}
				ret.setResultDesc(Constant.OTHER_ERROR);
				ret.setResultBody(Constant.OTHER_ERROR);
				
			}

		} catch (SocketTimeoutException ste) {
			ErrorUtils.captureException(ste);
			log.info("supplier10000033.queryCompanyCreditDetails接口SocketTimeoutException={}", ste);
			ret.setCode(Constant.REQUEST_TIMEOUT);
		}catch(UnrecognizedPropertyException upe) {
			log.info("queryCompanyCreditDetails-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch (IOException ioe) {
			log.info("supplier10000033.queryCompanyCreditDetails接口-Exception：{}", ioe);
			ErrorUtils.captureException(ioe);
			ret.setCode(Constant.FAIL);
		}
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}

	// 获取Auth Code
	protected  final String[] RandomAuthentHeader() {
		String timeSpan = String.valueOf(System.currentTimeMillis() / 1000);
		String[] authentHeaders = new String[] { DigestUtils.md5Hex(key.concat(timeSpan).concat(secretKey)).toUpperCase(), timeSpan };
		return authentHeaders;
	}
	
	// 处理公司名称
	protected  final String ReplaceName(String name) {
		return name.replaceAll("\\(", "（").replaceAll("\\)", "）").trim();
	}
	
	/*private static String key1="736eafee18e011e6b4fb1051721d3b62";
	private static String secretKey1="AE3BA70BF52E74FAA3D77B19463E49C2";
	public static void main(String[] args) {
		String timeSpan = String.valueOf(System.currentTimeMillis() / 1000);
		String[] authentHeaders = new String[] { DigestUtils.md5Hex(key1.concat(timeSpan).concat(secretKey1)).toUpperCase(), timeSpan };
		System.out.println(authentHeaders[0]);
		System.out.println(authentHeaders[1]);
  }*/
	

	@Override
	public ChannelTypeHandleResponseObject getCompanyCreditDetailsSearch(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		ret.setCode(Constant.SUCCESS);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getCompanyCreditDetailsSearch---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			CompanySearchJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					CompanySearchJsonResolveObject.class);
			String keyword = requestjsonObject.getKeyword();
			String cityCode = requestjsonObject.getCityCode();
			String provinceCode = requestjsonObject.getProvinceCode();
			int pageIndex = requestjsonObject.getPageIndex();
			int pageSize = requestjsonObject.getPageSize();
			boolean bool = StringUtils.isBlank(keyword);
			if (pageSize<0||pageIndex<0) {
				bool=true;
			}
			if (pageSize!=0 && pageSize>20) {
				bool=true;
			}
			if(bool) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			StringBuilder sb = new StringBuilder();
			sb.append(companyDetailsSearchUrl).append(SjjhConstants.INTERFACE_REQUEST_PARA_KEY).append(key)
					            .append(SjjhConstants.INTERFACE_REQUEST_PARA_KEYWORD).append(keyword);
					            
			if (StringUtils.isNotBlank(provinceCode)) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_PROVINCECODE).append(provinceCode);
			}
			if (StringUtils.isNotBlank(cityCode)) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_CITYCODE).append(cityCode);
			}	
			if (pageIndex!=0) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGEINDEX).append(pageIndex);
			}
			if (pageSize!=0) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGESIZE).append(pageSize);
			}
			String requestUrl = sb.toString();
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("获取getCompanyCreditDetailsSearch接口后的返回:{}", responseContext);
	    	CompanySearchResponseObject responseObject = mapper.readValue(responseContext,
	    			CompanySearchResponseObject.class);
	    	log.info("getCompanyCreditDetailsSearch--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setCompanyCreditDetailsSearch( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getCompanyCreditDetailsSearch-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 * 企业工商数据查询模糊搜索接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setCompanyCreditDetailsSearch(ChannelTypeHandleResponseObject ret,  
			String returnType,CompanySearchResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			ret.setResultBody(reponseObject.getResult());
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	
	@Override
	public ChannelTypeHandleResponseObject getSearchJudgmentDoc(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		ret.setCode(Constant.SUCCESS);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getSearchJudgmentDoc---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			SearchJudgmentDocJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					SearchJudgmentDocJsonResolveObject.class);
			String searchKey = requestjsonObject.getSearchKey();
			boolean exactlySame = requestjsonObject.isExactlySame();
			String caseType = requestjsonObject.getCaseType();
			int pageIndex = requestjsonObject.getPageIndex();
			int pageSize = requestjsonObject.getPageSize();
			boolean bool = StringUtils.isBlank(searchKey);
			if (pageSize<0||pageIndex<0) {
				bool=true;
			}
			if (pageSize!=0 && pageSize>50) {
				bool=true;
			}
			if(bool) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			StringBuilder sb = new StringBuilder();
			sb.append(searchJudgmentDocUrl).append(SjjhConstants.INTERFACE_REQUEST_PARA_KEY).append(key)
					            .append(SjjhConstants.INTERFACE_REQUEST_PARA_SEARCHKEY).append(searchKey);
			if (exactlySame) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_ISEXACTLYSAME).append(exactlySame);
			}
			if (StringUtils.isNotBlank(caseType)) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_CASETYPE).append(caseType);
			}	
			if (pageIndex!=0) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGEINDEX).append(pageIndex);
			}
			if (pageSize!=0) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGESIZE).append(pageSize);
			}
			String requestUrl = sb.toString();
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("获取getSearchJudgmentDoc接口后的返回:{}", responseContext);
	    	SearchJudgmentDocResponseObject responseObject = mapper.readValue(responseContext,
	    			SearchJudgmentDocResponseObject.class);
	    	log.info("getSearchJudgmentDoc--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setSearchJudgmentDoc( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getSearchJudgmentDoc-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 * 裁判文书查询接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setSearchJudgmentDoc(ChannelTypeHandleResponseObject ret,  
			String returnType,SearchJudgmentDocResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			ret.setResultBody(reponseObject.getResult());
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	
	
	@Override
	public ChannelTypeHandleResponseObject getJudgementDetail(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		ret.setCode(Constant.SUCCESS);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getJudgementDetail---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			JudgementDetailJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					JudgementDetailJsonResolveObject.class);
			String id = requestjsonObject.getId();
			if(StringUtils.isBlank(id)) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			String requestUrl = judgementDetailUrl+"?key="+key+"&id="+requestjsonObject.getId();
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("获取getJudgementDetail接口后的返回:{}", responseContext);
	    	JudgementDetailResponseObject responseObject = mapper.readValue(responseContext,
	    			JudgementDetailResponseObject.class);
	    	log.info("getJudgementDetail--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setJudgementDetail( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getSearchJudgmentDoc-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    	log.error("getSearchJudgmentDoc接口异常：{}",ioe);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 * 裁判文书详情查询接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setJudgementDetail(ChannelTypeHandleResponseObject ret,  
			String returnType,JudgementDetailResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			ret.setResultBody(reponseObject.getResult());
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	

	@Override
	public ChannelTypeHandleResponseObject getSearchShiXin(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		ret.setCode(Constant.SUCCESS);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getSearchShiXin---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			SearchShiXinZhiXingJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					SearchShiXinZhiXingJsonResolveObject.class);
			String searchKey = requestjsonObject.getSearchKey();
			String searchType = requestjsonObject.getSearchType();
			boolean exactlySame = requestjsonObject.isExactlySame();
			int pageIndex = requestjsonObject.getPageIndex();
			int pageSize = requestjsonObject.getPageSize();
			
			boolean bool = StringUtils.isBlank(searchKey);
					
			if (pageSize<0||pageIndex<0) {
				bool=true;
			}
			if (pageSize!=0 && pageSize>50) {
				bool=true;
			}
			if(bool) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			StringBuilder sb = new StringBuilder();
			sb.append(searchShiXinUrl).append(SjjhConstants.INTERFACE_REQUEST_PARA_KEY).append(key)
					            .append(SjjhConstants.INTERFACE_REQUEST_PARA_SEARCHKEY).append(searchKey);
			if (exactlySame) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_ISEXACTLYSAME).append(exactlySame);
			}
			if (StringUtils.isNotBlank(searchType)) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_SEARCHTYPE).append(searchType);
			}	
			if (pageIndex!=0) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGEINDEX).append(pageIndex);
			}
			if (pageSize!=0) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGESIZE).append(pageSize);
			}
			String requestUrl = sb.toString();
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("获取getSearchShiXin接口后的返回:{}", responseContext);
	    	SearchShiXinResponseObject responseObject = mapper.readValue(responseContext,
	    			SearchShiXinResponseObject.class);
	    	log.info("getSearchShiXin--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setSearchShiXin( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getSearchShiXin-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 * 失信信息查询接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setSearchShiXin(ChannelTypeHandleResponseObject ret,  
			String returnType,SearchShiXinResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			ret.setResultBody(reponseObject.getResult());
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	
	
	@Override
	public ChannelTypeHandleResponseObject getSearchZhiXing(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		ret.setCode(Constant.SUCCESS);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getSearchZhiXing---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			SearchShiXinZhiXingJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					SearchShiXinZhiXingJsonResolveObject.class);
			String searchKey = requestjsonObject.getSearchKey();
			String searchType = requestjsonObject.getSearchType();
			boolean exactlySame = requestjsonObject.isExactlySame();
			int pageIndex = requestjsonObject.getPageIndex();
			int pageSize = requestjsonObject.getPageSize();
			
			boolean bool = StringUtils.isBlank(searchKey);
			if (pageSize<0||pageIndex<0) {
				bool=true;
			}
			if (pageSize!=0 && pageSize>50) {
				bool=true;
			}
			if(bool) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			StringBuilder sb = new StringBuilder();
			sb.append(searchZhiXingUrl).append(SjjhConstants.INTERFACE_REQUEST_PARA_KEY).append(key)
					            .append(SjjhConstants.INTERFACE_REQUEST_PARA_SEARCHKEY).append(searchKey);
			if (exactlySame) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_ISEXACTLYSAME).append(exactlySame);
			}
			if (StringUtils.isNotBlank(searchType)) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_SEARCHTYPE).append(searchType);
			}
			if (pageIndex!=0) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGEINDEX).append(pageIndex);
			}
			if (pageSize!=0) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGESIZE).append(pageSize);
			}
			String requestUrl = sb.toString();
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("获取getSearchZhiXing接口后的返回:{}", responseContext);
	    	SearchZhiXingResponseObject responseObject = mapper.readValue(responseContext,
	    			SearchZhiXingResponseObject.class);
	    	log.info("getSearchZhiXing--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setSearchZhiXing( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getSearchZhiXing-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 *被执行人信息查询接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setSearchZhiXing(ChannelTypeHandleResponseObject ret,  
			String returnType,SearchZhiXingResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			ret.setResultBody(reponseObject.getResult());
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	
	@Override
	public ChannelTypeHandleResponseObject getSearchCourtAnnouncement(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		ret.setCode(Constant.SUCCESS);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getSearchCourtAnnouncement---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			SearchCourtAnnouncementJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					SearchCourtAnnouncementJsonResolveObject.class);
			String companyName = requestjsonObject.getCompanyName();
			int pageIndex = requestjsonObject.getPageIndex();
		 	int pageSize = requestjsonObject.getPageSize();
			
			boolean bool = StringUtils.isBlank(companyName);
			if (pageSize<0||pageIndex<0) {
				bool=true;
			}
			if (pageSize!=0 && pageSize>50) {
				bool=true;
			}
			if(bool) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			StringBuilder sb = new StringBuilder();
			sb.append(searchCourtAnnouncementUrl).append(SjjhConstants.INTERFACE_REQUEST_PARA_KEY).append(key)
					            .append(SjjhConstants.INTERFACE_REQUEST_PARA_COMPANYNAME).append(companyName);
			if (requestjsonObject.getPageIndex()!=0) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGEINDEX).append(requestjsonObject.getPageIndex());
			}
			if (requestjsonObject.getPageSize()!=0) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGESIZE).append(requestjsonObject.getPageSize());
			}
			String requestUrl = sb.toString();
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("获取getSearchCourtAnnouncement接口后的返回:{}", responseContext);
	    	SearchCourtAnnouncementResponseObject responseObject = mapper.readValue(responseContext,
	    			SearchCourtAnnouncementResponseObject.class);
	    	log.info("getSearchCourtAnnouncement--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setSearchCourtAnnouncement( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getSearchCourtAnnouncement-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 *法院公告列表信息查询接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setSearchCourtAnnouncement(ChannelTypeHandleResponseObject ret,  
			String returnType,SearchCourtAnnouncementResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			ret.setResultBody(reponseObject.getResult());
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	
	@Override
	public ChannelTypeHandleResponseObject getSearchCourtNotice(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		ret.setCode(Constant.SUCCESS);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getSearchCourtNotice---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			SearchCourtNoticeJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					SearchCourtNoticeJsonResolveObject.class);
			String searchkey = requestjsonObject.getSearchKey();
			int pageIndex = requestjsonObject.getPageIndex();
		 	int pageSize = requestjsonObject.getPageSize();
			
			boolean bool = StringUtils.isBlank(searchkey);
			if (pageSize<0||pageIndex<0) {
				bool=true;
			}
			if (pageSize!=0 && pageSize>50) {
				bool=true;
			}
			if(bool) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			StringBuilder sb = new StringBuilder();
			sb.append(searchCourtNoticeUrl).append(SjjhConstants.INTERFACE_REQUEST_PARA_KEY).append(key)
					            .append(SjjhConstants.INTERFACE_REQUEST_PARA_SEARCHKEY).append(requestjsonObject.getSearchKey());
			if (requestjsonObject.isExactlySame()) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_ISEXACTLYSAME).append(requestjsonObject.isExactlySame());
			}
			if (requestjsonObject.getPageIndex()!=0) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGEINDEX).append(requestjsonObject.getPageIndex());
			}
			if (requestjsonObject.getPageSize()!=0) {
				sb.append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGESIZE).append(requestjsonObject.getPageSize());
			}
			String requestUrl = sb.toString();
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("获取getSearchCourtNotice接口后的返回:{}", responseContext);
	    	SearchCourtNoticeResponseObject responseObject = mapper.readValue(responseContext,
	    			SearchCourtNoticeResponseObject.class);
	    	log.info("getSearchCourtNotice--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setgetSearchCourtNotice( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getSearchCourtNotice-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 *开庭公告查询信息查询接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setgetSearchCourtNotice(ChannelTypeHandleResponseObject ret,  
			String returnType,SearchCourtNoticeResponseObject reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			ret.setResultBody(reponseObject.getResult());
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	
	
	@Override
	public ChannelTypeHandleResponseObject getJudicialAssistance(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setCode(Constant.SUCCESS);
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getJudicialAssistance---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			CompanyJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					CompanyJsonResolveObject.class);
			String name = requestjsonObject.getName();
			if(StringUtils.isBlank(name)) {				
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			
			String requestUrl = judicialAssistanceUrl + SjjhConstants.INTERFACE_REQUEST_PARA_KEY 
					+ key + SjjhConstants.INTERFACE_REQUEST_PARA_KEYWORD + name;
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("调getJudicialAssistance接口后的返回:{}", responseContext);
	    	JudicialAssistanceResponseObject responseObject = mapper.readValue(responseContext,
					JudicialAssistanceResponseObject.class);
	    	log.info("getJudicialAssistance--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setJudicialAssistance( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getJudicialAssistance-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 * 填充股权冻结信息接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setJudicialAssistance(ChannelTypeHandleResponseObject ret,  
			String returnType,JudicialAssistanceResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			ret.setResultBody(reponseObject.getResult());
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	
	@Override
	public ChannelTypeHandleResponseObject getChattelMortgage(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setCode(Constant.SUCCESS);
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getChattelMortgage---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			ChattelMortgageJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					ChattelMortgageJsonResolveObject.class);
			String name = requestjsonObject.getName();
			int pageIndex = requestjsonObject.getPageIndex();
			int pageSize = requestjsonObject.getPageSize();
			
			boolean bool = StringUtils.isBlank(name) || pageIndex <= 0 
					|| pageSize <= 0 || pageSize > 50;
			if(bool) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			
			StringBuilder sb = new StringBuilder();
			sb.append(chattelMortgageUrl).append(SjjhConstants.INTERFACE_REQUEST_PARA_KEY).append(key)
					            .append(SjjhConstants.INTERFACE_REQUEST_PARA_KEYWORD).append(name)
					            .append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGEINDEX).append(pageIndex)
					            .append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGESIZE).append(pageSize);
			String requestUrl = sb.toString();
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("调getChattelMortgage接口后的返回:{}", responseContext);
	    	ChattelMortgageResponseObject responseObject = mapper.readValue(responseContext,
	    			ChattelMortgageResponseObject.class);
	    	log.info("getChattelMortgage--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setChattelMortgage( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getJudicialAssistance-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 * 填充动产抵押信息接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setChattelMortgage(ChannelTypeHandleResponseObject ret,  
			String returnType,ChattelMortgageResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			CommonPageResponseObject cpObject = new CommonPageResponseObject();
			cpObject.setPageInfo(reponseObject.getPaging());
			cpObject.setList(reponseObject.getResult());
			ret.setResultBody(cpObject);
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	
	@Override
	public ChannelTypeHandleResponseObject getEnvPunishmentList(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setCode(Constant.SUCCESS);
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getEnvPunishmentList---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			ChattelMortgageJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					ChattelMortgageJsonResolveObject.class);
			String name = requestjsonObject.getName();
			int pageIndex = requestjsonObject.getPageIndex();
			int pageSize = requestjsonObject.getPageSize();
			
			boolean bool = StringUtils.isBlank(name) || pageIndex <= 0 
					|| pageSize <= 0 || pageSize > 50;
			if(bool) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			
			StringBuilder sb = new StringBuilder();
			sb.append(envPunishmentUrl).append(SjjhConstants.INTERFACE_REQUEST_PARA_KEY).append(key)
					            .append(SjjhConstants.INTERFACE_REQUEST_PARA_KEYWORD).append(name)
					            .append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGEINDEX).append(pageIndex)
					            .append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGESIZE).append(pageSize);
			String requestUrl = sb.toString();
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("调getEnvPunishmentList接口后的返回:{}", responseContext);
	    	EnvPunishmentResponseObject responseObject = mapper.readValue(responseContext,
	    			EnvPunishmentResponseObject.class);
	    	log.info("getEnvPunishmentList--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setEnvPunishmentList( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getEnvPunishmentList-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 * 填充环保处罚列表接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setEnvPunishmentList(ChannelTypeHandleResponseObject ret,  
			String returnType,EnvPunishmentResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			CommonPageResponseObject cpObject = new CommonPageResponseObject();
			cpObject.setPageInfo(reponseObject.getPaging());
			cpObject.setList(reponseObject.getResult());
			ret.setResultBody(cpObject);
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	
	@Override
	public ChannelTypeHandleResponseObject getSimpleCancellation(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setCode(Constant.SUCCESS);
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getSimpleCancellation---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			CompanyJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					CompanyJsonResolveObject.class);
			String name = requestjsonObject.getName();
			if(StringUtils.isBlank(name)) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			
			String requestUrl = simpleCancellationUrl + SjjhConstants.INTERFACE_REQUEST_PARA_KEY 
					+ key + SjjhConstants.INTERFACE_REQUEST_PARA_KEYWORD + name;
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("调getSimpleCancellation接口后的返回:{}", responseContext);
	    	SimpleCancellationResponseObject responseObject = mapper.readValue(responseContext,
	    			SimpleCancellationResponseObject.class);
	    	log.info("getSimpleCancellation--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setSimpleCancellation( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getSimpleCancellation-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 * 填充简易注销信息接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setSimpleCancellation(ChannelTypeHandleResponseObject ret,  
			String returnType,SimpleCancellationResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			ret.setResultBody(reponseObject.getResult());
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	
	@Override
	public ChannelTypeHandleResponseObject getJudicialSaleList(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setCode(Constant.SUCCESS);
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getJudicialSaleList---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			ChattelMortgageJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					ChattelMortgageJsonResolveObject.class);
			String name = requestjsonObject.getName();
			int pageIndex = requestjsonObject.getPageIndex();
			int pageSize = requestjsonObject.getPageSize();
			
			boolean bool = StringUtils.isBlank(name) || pageIndex <= 0 
					|| pageSize <= 0 || pageSize > 50;
			if(bool) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			
			StringBuilder sb = new StringBuilder();
			sb.append(judicialSaleListUrl).append(SjjhConstants.INTERFACE_REQUEST_PARA_KEY).append(key)
						            .append(SjjhConstants.INTERFACE_REQUEST_PARA_KEYWORD).append(name)
						            .append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGEINDEX).append(pageIndex)
						            .append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGESIZE).append(pageSize);
			String requestUrl = sb.toString();
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("调getJudicialSaleList接口后的返回:{}", responseContext);
	    	JudicialSaleListResponseObject responseObject = mapper.readValue(responseContext,
	    			JudicialSaleListResponseObject.class);
	    	log.info("getJudicialSaleList--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setJudicialSaleList( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getJudicialSaleList-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 * 填充司法拍卖列表接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setJudicialSaleList(ChannelTypeHandleResponseObject ret,  
			String returnType,JudicialSaleListResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			CommonPageResponseObject cpObject = new CommonPageResponseObject();
			cpObject.setPageInfo(reponseObject.getPaging());
			cpObject.setList(reponseObject.getResult());
			ret.setResultBody(cpObject);
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	
	@Override
	public ChannelTypeHandleResponseObject getLandMortgageList(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setCode(Constant.SUCCESS);
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getLandMortgageList---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			ChattelMortgageJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					ChattelMortgageJsonResolveObject.class);
			String name = requestjsonObject.getName();
			int pageIndex = requestjsonObject.getPageIndex();
			int pageSize = requestjsonObject.getPageSize();
			
			boolean bool = StringUtils.isBlank(name) || pageIndex <= 0 
					|| pageSize <= 0 || pageSize > 50;
			if(bool) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			
			StringBuilder sb = new StringBuilder();
			sb.append(landMortgageListUrl).append(SjjhConstants.INTERFACE_REQUEST_PARA_KEY).append(key)
			                        .append(SjjhConstants.INTERFACE_REQUEST_PARA_KEYWORD).append(name)
			                        .append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGEINDEX).append(pageIndex)
			                        .append(SjjhConstants.INTERFACE_REQUEST_PARA_PAGESIZE).append(pageSize);
			String requestUrl = sb.toString();
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("调getLandMortgageList接口后的返回:{}", responseContext);
	    	LandMortgageListResponseObject responseObject = mapper.readValue(responseContext,
	    			LandMortgageListResponseObject.class);
	    	log.info("getLandMortgageList--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setLandMortgageList( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getLandMortgageList-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 * 填充土地抵押列表接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setLandMortgageList(ChannelTypeHandleResponseObject ret,  
			String returnType,LandMortgageListResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			CommonPageResponseObject cpObject = new CommonPageResponseObject();
			cpObject.setPageInfo(reponseObject.getPaging());
			cpObject.setList(reponseObject.getResult());
			ret.setResultBody(cpObject);
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	
	@Override
	public ChannelTypeHandleResponseObject getSeriousViolationList(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setCode(Constant.SUCCESS);
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
			
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getSeriousViolationList---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			CompanyJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					CompanyJsonResolveObject.class);
			String name = requestjsonObject.getName();
			if(StringUtils.isBlank(name)) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			
			String requestUrl = seriousViolationListUrl + SjjhConstants.INTERFACE_REQUEST_PARA_KEY 
					+ key + SjjhConstants.INTERFACE_REQUEST_PARA_KEYWORD + name;
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext(autherHeader,requestUrl, outTime);
	    	log.info("调getSeriousViolationList接口后的返回:{}", responseContext);
	    	SeriousViolationListResponseObject responseObject = mapper.readValue(responseContext,
	    			SeriousViolationListResponseObject.class);
	    	log.info("getSeriousViolationList--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setSeriousViolationList( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getSeriousViolationList-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 * 填充获取严重违法信息接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setSeriousViolationList(ChannelTypeHandleResponseObject ret,  
			String returnType,SeriousViolationListResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			ret.setResultBody(reponseObject.getResult());
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	@Override
	public ChannelTypeHandleResponseObject getInfo(HttpServletRequest request,String customBody,int outTime) {
		ChannelTypeHandleResponseObject ret = new ChannelTypeHandleResponseObject();
		ret.setIsCharge(Constant.INTERFACE_QUERY_NO_FEE);
		ret.setCode(Constant.SUCCESS);
		String upstreamCode = Constant.LOG_UPSTREAM_DEFAULT_RESPONSE_CODE;
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		String returnType = request.getHeader(Constant.CUSTOMER_RETURN_TYPE_PARA);
		if(StringUtils.isBlank(returnType)) {
			returnType = Constant.CUSTOMER_RETURN_ZW;
		}   	
	
		String responseContext = "";
		try {
			if(outTime <= 0) {
	        	outTime = Constant.HTTPCLIENT_CONNECTTIMEOUT;
	        }
	
			log.info("getInfo---customBody={},outTime={}",customBody,outTime);
			ObjectMapper mapper = new ObjectMapper();
			CompanyJsonResolveObject requestjsonObject = mapper.readValue(customBody,
					CompanyJsonResolveObject.class);
			if(StringUtils.isBlank(requestjsonObject.getName())) {
		    	if (Constant.CUSTOMER_RETURN_ZW.equals(returnType)) {
					ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
				} else {
					ret.setResultCode(Constant.JK_RETURN_CODE_INVALID_PARAMETER);
				}
	
		    	ret.setResultDesc(Constant.INVALID_PARAMETER);
		    	ret.setResultBody(Constant.INVALID_PARAMETER);
		    	return ret;
			}
			String requestUrl = getInfoUrl+"?key="+key+"&searchKey="+requestjsonObject.getName();
			String[] autherHeader = RandomAuthentHeader();
			responseContext = getResponseContext( autherHeader,requestUrl, outTime);
	    	log.info("获取getInfo接口后的返回:{}", responseContext);
	    	CompanyInfoResponseObject responseObject = mapper.readValue(responseContext,
	    			CompanyInfoResponseObject.class);
	    	log.info("getInfo--解析后的对象reponseObject:{}", responseObject);
	    	
	    	if(responseObject != null) {
	    		upstreamCode = responseObject.getStatus();
	    	}
	    	
	    	ret = setGetInfo( ret,  returnType,  responseObject);
		} catch(SocketTimeoutException ste) {
	    	ErrorUtils.captureException(ste);
	    	ret.setCode(Constant.REQUEST_TIMEOUT);
	    } catch(UnrecognizedPropertyException upe) {
			log.info("getInfo-UnrecognizedPropertyException：{}", upe);
	        ErrorUtils.captureException(upe);
	        ret.setCode(Constant.SUCCESS);
	        ret.setIsCharge(Constant.IS_NOT_CHARGE);
	        /**参数错误*/
	        if(Constant.CUSTOMER_RETURN_JK.equals(returnType)){
	        	ret.setResultCode(Constant.JK_RETURN_CODE_9909);
	        } else {
	        	ret.setResultCode(Constant.INVALID_PARAMETER_CODE);
	        }
	        ret.setResultBody(Constant.PARAMETER_NAME_ERROR);
	    	ret.setResultDesc(Constant.PARAMETER_NAME_ERROR);
	        return ret;
		} catch(IOException ioe) {
	    	ErrorUtils.captureException(ioe);
	    	ret.setCode(Constant.FAIL);
	    }
	
		request.setAttribute(Constant.LOG_UPSTREAM_RESPONSE_CODE, upstreamCode);
		return ret;
	}
	
	/**
	 * 企业工商信息核验接口的返回对象
	 * @param ret
	 * @param returnType
	 * @param reponseObject
	 * @return
	 */
	public ChannelTypeHandleResponseObject setGetInfo(ChannelTypeHandleResponseObject ret,  
			String returnType,CompanyInfoResponseObject  reponseObject) {
		if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_200.equals(reponseObject.getStatus())) {
			// 查询成功，返回结果
			ret.setIsCharge(Constant.INTERFACE_QUERY_FEE);
			ret.setResultBody(reponseObject.getResult());
			
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_MATCH);
			} else {
				ret.setResultCode(Constant.MATCH_CODE);
			}
		} else if (reponseObject != null
				&& SjjhConstants.INTERFACE_CODE_201.equals(reponseObject.getStatus())) {
			// 查询成功，查无结果
	        if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
	            ret.setResultCode(Constant.JK_RETURN_CODE_NO_INFO);
	        } else {
	            ret.setResultCode(Constant.UN_FIND_NUM_CODE);
	        }
	        ret.setResultBody(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
	        ret.setResultDesc(SjjhConstants.INTERFACE_SUCCESS_NOTEXT);
		} else {
			// 查询错误
			if (Constant.CUSTOMER_RETURN_JK.equals(returnType)) {
				ret.setResultCode(Constant.JK_RETURN_CODE_OTHER_ERROR);
			} else {
				ret.setResultCode(Constant.OTHER_ERROR_CODE);
			}
			ret.setResultBody(Constant.OTHER_ERROR);
			ret.setResultDesc(Constant.OTHER_ERROR);
		}
		
		return ret;
	}
	
	
	/**
	 * 通用请求上游方法
	 * @param autherHeader
	 * @param requestUrl
	 * @param outTime
	 * @return
	 * @throws IOException
	 */
	private String getResponseContext(String[] autherHeader,
			String requestUrl,int outTime) throws IOException{
		Request okRequest = new Request.Builder()
				.addHeader(SjjhConstants.TOKEN,autherHeader[0])
				.addHeader(SjjhConstants.TIMESPAN,autherHeader[1])
        		.get().url(requestUrl).build();
		OkHttpClient client = okHttpClient.newBuilder()
        		.connectTimeout(outTime, TimeUnit.MILLISECONDS)
    			.readTimeout(outTime, TimeUnit.MILLISECONDS)
    			.writeTimeout(outTime, TimeUnit.MILLISECONDS)
    			.build();
        
		Response response = client.newCall(okRequest).execute();
        return response.body().string();
	}
}
