package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 获取动产抵押信息接口响应对象
 * @author minmin
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class ChattelMortgageResponseObject extends ParentObject{
	
	/**返回的数据，详见每个接口说明*/
	@JsonProperty("Paging")
	private PageObject paging;
	
	/**返回的数据，详见每个接口说明*/
	@JsonProperty("Result")
	private List<ChattelMortgageChildObject> result;
	
	@Data
	public static class ChattelMortgageChildObject {
		/**登记编号*/
		@JsonProperty("RegisterNo")
		private String registerNo;
		
		/**登记时间*/
		@JsonProperty("RegisterDate")
		private String registerDate;

		/**公示时间*/
		@JsonProperty("PublicDate")
		private String publicDate;
		/**登记机关*/
		@JsonProperty("RegisterOffice")
		private String registerOffice;		
		/**被担保债权数额*/
		@JsonProperty("DebtSecuredAmount")
		private String debtSecuredAmount;
		/**状态*/
		@JsonProperty("Status")
		private String status;
		/**动产抵押详细信息*/
		@JsonProperty("Detail")
		private ChattelMortgageDetail detail;
	}
	
	@Data
	public static class ChattelMortgageDetail {
		/**动产抵押登记信息*/
		@JsonProperty("Pledge")
		private Pledge pledge;		
		/**被担保债权概况*/
		@JsonProperty("SecuredClaim")
		private SecuredClaim securedClaim;
		/**动产抵押登记注销信息*/
		@JsonProperty("CancelInfo")
		private CancelInfo cancelInfo;
		/**抵押权人*/
		@JsonProperty("PledgeeList")
		private List<Pledgee> pledgeeList;		
		/**抵押物*/
		@JsonProperty("GuaranteeList")
		private List<Guarantee> guaranteeList;
		/**动产抵押登记变更信息*/
		@JsonProperty("ChangeList")
		private List<ChangeInfo> changeList;

	}
	
	//动产抵押登记变更信息
	@Data
	public static class ChangeInfo {
		/**动产抵押登记变更日期*/
		@JsonProperty("ChangeDate")
		private String changeDate;	
		/**动产抵押登记变更内容*/
		@JsonProperty("ChangeContent")
		private String changeContent;
	}
	
	//抵押物
	@Data
	public static class Guarantee {
		/**名称*/
		@JsonProperty("Name")
		private String name;	
		/**所有权归属*/
		@JsonProperty("Ownership")
		private String ownership;
		/**注册单位*/
		@JsonProperty("Other")
		private String other;
		/**备注*/
		@JsonProperty("Remark")
		private String remark;
	}
	
	//抵押权人
	@Data
	public static class Pledgee {
		/**名称*/
		@JsonProperty("Name")
		private String name;	
		/**抵押权人证照/证件类型*/
		@JsonProperty("IdentityType")
		private String identityType;
		/**证照/证件号码*/
		@JsonProperty("IdentityNo")
		private String identityNo;
	}
	
	//动产抵押登记信息
	@Data
	public static class Pledge {
		/**登记编号*/
		@JsonProperty("RegistNo")
		private String registNo;	
		/**注册时间*/
		@JsonProperty("RegistDate")
		private String registDate;
		/**注册单位*/
		@JsonProperty("RegistOffice")
		private String registOffice;
	}
	
	//被担保债权概况
	@Data
	public static class SecuredClaim {
		/**种类*/
		@JsonProperty("Kind")
		private String kind;	
		/**数额*/
		@JsonProperty("Amount")
		private String amount;
		/**担保的范围*/
		@JsonProperty("AssuranceScope")
		private String assuranceScope;
		/**债务人履行债务的期限*/
		@JsonProperty("FulfillObligation")
		private String fulfillObligation;	
		/**备注*/
		@JsonProperty("Remark")
		private String remark;	

	}
	
	//动产抵押登记注销信息
	@Data
	public static class CancelInfo {
		/**动产抵押登记注销时间*/
		@JsonProperty("CancelDate")
		private String cancelDate;	
		/**动产抵押登记注销原因*/
		@JsonProperty("CancelReason")
		private String cancelReason;
	}
}