package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.Data;
import lombok.ToString;

/**
 * 公司信用详细信息查询接口响应对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class CompanyCreditDetailsResponseObject {
	
	@JsonProperty("OrderNumber")
	private String orderNumber;
	@JsonProperty("Status")
	private String status;
	@JsonProperty("Message")
	private String message;
	@JsonProperty("Result")
	private CompanyCreditDetailsResponseChildObject result;
	
	@Data
	public static class CompanyCreditDetailsResponseChildObject {
		
		/**内部KeyNo*/
		@JsonProperty("KeyNo")
		private String keyNo;
		/**公司名称*/
		@JsonProperty("Name")
		private String name;
		/**注册号*/
		@JsonProperty("No")
		private String no;
		/**登记机关*/
		@JsonProperty("BelongOrg")
		private String belongOrg;
		/**法人*/
		@JsonProperty("OperName")
		private String operName;
		/**成立日期*/
		@JsonProperty("StartDate")
		private String startDate;
		/**吊销日期*/
		@JsonProperty("EndDate")
		private String endDate;
		/**企业状态*/
		@JsonProperty("Status")
		private String status;
		/**省份*/
		@JsonProperty("Province")
		private String province;
		/**更新日期*/
		@JsonProperty("UpdatedDate")
		private String updatedDate;
		/**信用代码*/
		@JsonProperty("CreditCode")
		private String creditCode;
		/**注册资本*/
		@JsonProperty("RegistCapi")
		private String registCapi;
		/**企业类型*/
		@JsonProperty("EconKind")
		private String econKind;
		/**地址*/
		@JsonProperty("Address")
		private String address;
		/**经营范围*/
		@JsonProperty("Scope")
		private String scope;
		/**营业期限始*/
		@JsonProperty("TermStart")
		private String termStart;
		/**营业期限至*/
		@JsonProperty("TeamEnd")
		private String teamEnd;
		/**发照日期*/
		@JsonProperty("CheckDate")
		private String checkDate;
		/**组织机构代码*/
		@JsonProperty("OrgNo")
		private String orgNo;
		/**是否IPO上市(0为未上市，1为上市)*/
		@JsonProperty("IsOnStock")
		private String isOnStock;
		/**上市公司代码*/
		@JsonProperty("StockNumber")
		private String stockNumber;
		/**上市类型*/
		@JsonProperty("StockType")
		private String stockType;
		/**Logo地址*/
		@JsonProperty("ImageUrl")
		private String imageUrl;
		/**企业类型 0-企业（包括个体工商户），1-社会组织 ，3-香港公司，4-政府机构，5-台湾公司，6-基金会，7-医院，8-海外公司，9-律师事务所，10-学校 ，-1-其他*/
		@JsonProperty("EntType")
		private String entType;
		/**实缴资本*/
		@JsonProperty("RecCap")
		private String recCap;
		/**曾用名*/
		@JsonProperty("OriginalName")
		private  List<OriginalName> originalName;
	}

	public static void main(String[] args) throws JsonProcessingException {
		CompanyCreditDetailsResponseObject object = new CompanyCreditDetailsResponseObject ();
		object.setOrderNumber("11111");
		ObjectMapper objectMapper =new ObjectMapper();
		System.out.println(objectMapper.writeValueAsString(object));
	}
}