package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 公司信用详细信息查询接口响应对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class CompanyInfoResponseObject {
	
	@JsonProperty("OrderNumber")
	private String orderNumber;
	@JsonProperty("Status")
	private String status;
	@JsonProperty("Message")
	private String message;
	@JsonProperty("Result")
	private CompanyInfoResponseChildObject result;
	
	@Data
	public static class CompanyInfoResponseChildObject {
		
		/**投资人及出资信息*/
		@JsonProperty("Partners")
		private List<Partners> partners;
		/**主要人员*/
		@JsonProperty("Employees")
		private List<Employees> employees;
		/**分支机构*/
		@JsonProperty("Branches")
		private List<Branches> branches;
		/**变更信息*/
		@JsonProperty("ChangeRecords")
		private List<ChangeRecords> changeRecords;
		/**联系信息*/
		@JsonProperty("ContactInfo")
		private ContactInfo contactInfo;
		/**行业分类数据*/
		@JsonProperty("Industry")
		private Industry industry;
		/**区域*/
		@JsonProperty("Area")
		private Area area;
		/**参保人数*/
		@JsonProperty("InsuredCount")
		private String insuredCount;
		/**英文名*/
		@JsonProperty("EnglishName")
		private String englishName;
		/**人员规模*/
		@JsonProperty("PersonScope")
		private String personScope;
		/**标签列表*/
		@JsonProperty("TagList")
		private List<TagList> tagList;
		/**最新企业年报中的联系方式*/
		@JsonProperty("ARContactList")
		private List<ARContactList> aRContactList;
		/**企业类型数组(具体枚举值请查看附件)*/
		@JsonProperty("EconKindCodeList")
		private List<String> econKindCodeList;
		/**根据此字段获取详细信息*/
		@JsonProperty("KeyNo")
		private String keyNo;
		/**公司名称*/
		@JsonProperty("Name")
		private String name;
		/**注册号*/
		@JsonProperty("No")
		private String no;
		/**登记机关*/
		@JsonProperty("BelongOrg")
		private String belongOrg;
		/**法人*/
		@JsonProperty("OperName")
		private String operName;
		/**成立日期*/
		@JsonProperty("StartDate")
		private String startDate;
		/**吊销日期*/
		@JsonProperty("EndDate")
		private String endDate;
		/**状态*/
		@JsonProperty("Status")
		private String status;
		/**省份*/
		@JsonProperty("Province")
		private String province;
		/**更新日期*/
		@JsonProperty("UpdatedDate")
		private String updatedDate;
		/**信用代码*/
		@JsonProperty("CreditCode")
		private String creditCode;
		/**注册资本*/
		@JsonProperty("RegistCapi")
		private String registCapi;
		/**类型*/
		@JsonProperty("EconKind")
		private String econKind;
		/**地址*/
		@JsonProperty("Address")
		private String address;
		/**营业范围*/
		@JsonProperty("Scope")
		private String scope;
		/**营业期限始*/
		@JsonProperty("TermStart")
		private String termStart;
		/**营业期限至*/
		@JsonProperty("TeamEnd")
		private String teamEnd;
		/**发照日期*/
		@JsonProperty("CheckDate")
		private String checkDate;
		/**组织机构代码*/
		@JsonProperty("OrgNo")
		private String orgNo;
		/**是否上市*/
		@JsonProperty("IsOnStock")
		private String isOnStock;
		/**证券号*/
		@JsonProperty("StockNumber")
		private String stockNumber;
		/**证券类型*/
		@JsonProperty("StockType")
		private String stockType;
		/**曾用名*/
		@JsonProperty("OriginalName")
		private List<OriginalName> originalName;
		/**Logo地址*/
		@JsonProperty("ImageUrl")
		private String imageUrl;
		/**企业类型 0-企业（包括个体工商户），1-社会组织 ，3-香港公司，4-政府机构，5-台湾公司，6-基金会，7-医院，8-海外公司，9-律师事务所，10-学校 ，-1-其他*/
		@JsonProperty("EntType")
		private String entType;
		/**实缴资本*/
		@JsonProperty("RecCap")
		private String recCap;
	}
	
	@Data
	public static class Partners {
		@JsonProperty("KeyNo")
		private String keyNo;
		
		@JsonProperty("StockName")
		private String stockName;
		
		@JsonProperty("StockType")
		private String stockType;
		
		@JsonProperty("StockPercent")
		private String stockPercent;
		
		@JsonProperty("ShouldCapi")
		private String shouldCapi;
		
		@JsonProperty("ShoudDate")
		private String shoudDate;
		
		@JsonProperty("InvestType")
		private String investType;
		
		@JsonProperty("InvestName")
		private String investName;
		
		@JsonProperty("RealCapi")
		private String realCapi;
		
		@JsonProperty("CapiDate")
		private String capiDate;
		
		@JsonProperty("TagsList")
		private List<String> tagsList;
		
		@JsonProperty("FinalBenefitPercent")
		private String finalBenefitPercent;
		
		@JsonProperty("RelatedProduct")
		private RelatedProduct relatedProduct;
		
		@JsonProperty("RelatedOrg")
		private RelatedOrg relatedOrg;
	}
	
	@Data
	public static class RelatedProduct {
		@JsonProperty("Id")
		private String id;
		
		@JsonProperty("Name")
		private String name;
		
		@JsonProperty("Round")
		private String round;
		
		@JsonProperty("FinancingCount")
		private String financingCount;
	}
	
	@Data
	public static class RelatedOrg {
		@JsonProperty("Id")
		private String id;
		
		@JsonProperty("Name")
		private String name;
	}
	
	@Data
	public static class Employees {
		@JsonProperty("KeyNo")
		private String keyNo;
		
		@JsonProperty("Name")
		private String name;
		
		@JsonProperty("Job")
		private String job;
	}
	
	@Data
	public static class Branches {
		@JsonProperty("CompanyId")
		private String companyId;
		
		@JsonProperty("RegNo")
		private String regNo;
		
		@JsonProperty("Name")
		private String name;
		
		@JsonProperty("BelongOrg")
		private String belongOrg;
		
		@JsonProperty("CreditCode")
		private String creditCode;
		
		@JsonProperty("OperName")
		private String operName;
	}
	
	@Data
	public static class ChangeRecords {
		@JsonProperty("ProjectName")
		private String projectName;
		
		@JsonProperty("BeforeContent")
		private String beforeContent;
		
		@JsonProperty("AfterContent")
		private String afterContent;
		
		@JsonProperty("ChangeDate")
		private String changeDate;
	}
	
	@Data
	public static class ContactInfo {
		@JsonProperty("WebSite")
		private List<WebSite> webSite;
		
		@JsonProperty("PhoneNumber")
		private String phoneNumber;
		
		@JsonProperty("Email")
		private String email;
	}
	
	@Data
	public static class WebSite {
		@JsonProperty("Url")
		private String url;
		
		@JsonProperty("Name")
		private String name;
	}
	
	@Data
	public static class Industry {
		@JsonProperty("IndustryCode")
		private String industryCode;
		
		@JsonProperty("Industry")
		private String industry;
		
		@JsonProperty("SubIndustryCode")
		private String subIndustryCode;
		
		@JsonProperty("SubIndustry")
		private String subIndustry;
		
		@JsonProperty("MiddleCategoryCode")
		private String middleCategoryCode;
		
		@JsonProperty("MiddleCategory")
		private String middleCategory;
		
		@JsonProperty("SmallCategoryCode")
		private String smallCategoryCode;
		
		@JsonProperty("SmallCategory")
		private String smallCategory;
	}
	
	@Data
	public static class Area {
		@JsonProperty("Province")
		private String province;
		
		@JsonProperty("City")
		private String city;
		
		@JsonProperty("County")
		private String county;
	}
	
	@Data
	public static class TagList {
		@JsonProperty("Type")
		private String type;
		
		@JsonProperty("Name")
		private String name;
	}
	
	@Data
	public static class ARContactList {
		@JsonProperty("ContactNo")
		private String contactNo;
		
		@JsonProperty("EmailAddress")
		private String emailAddress;
		
		@JsonProperty("Address")
		private String address;
	}
	@Data
	public static class OriginalName {
		@JsonProperty("ChangeDate")
		private String changeDate;
		
		@JsonProperty("Name")
		private String name;
	}

}