package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 	裁判文书查询返回对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class JudgementDetailResponseObject extends ParentObject{
	
	@JsonProperty("Result")
	private SearchJudgmentDocChildObject result;
	
	@Data
	public static class SearchJudgmentDocChildObject {
		/**Id */
		@JsonProperty("Id")
		private String Id;
		
		/**裁判文书名字 */
		@JsonProperty("CaseName")
		private String caseName;
		
		/**裁判文书编号 */
		@JsonProperty("CaseNo")
		private String caseNo;
		
		/**裁判文书类型 */
		@JsonProperty("CaseType")
		private String caseType;
		
		/**裁判文书内容 */
		@JsonProperty("Content")
		private String content;
		
		/**执行法院 */
		@JsonProperty("Court")
		private String court;
		
		/**创建时间 */
		@JsonProperty("CreateDate")
		private String createDate;
		
		/**提交时间 */
		@JsonProperty("SubmitDate")
		private String submitDate;
		
		/**修改时间 */
		@JsonProperty("UpdateDate")
		private String updateDate;
		
		/**当事人 */
		@JsonProperty("Appellor")
		private List<String> appellor;
		
		/**裁判时间 */
		@JsonProperty("JudgeDate")
		private String judgeDate;
		
		/**案由 */
		@JsonProperty("CaseReason")
		private String caseReason;
		
		/**审理程序 */
		@JsonProperty("TrialRound")
		private String trialRound;
		
		/**被告 */
		@JsonProperty("Defendantlist")
		private List<String> defendantlist;
		
		/**原告 */
		@JsonProperty("Prosecutorlist")
		private List<String> prosecutorlist;
		
		/**是否有效，True或false */
		@JsonProperty("IsValid")
		private boolean valid;
		
		/**裁判文书内容（QCC加工） */
		@JsonProperty("ContentClear")
		private String contentClear;
		
		/**判决结果（文书内容） */
		@JsonProperty("JudgeResult")
		private String judgeResult;
		
		/**当事人(文书内容) */
		@JsonProperty("PartyInfo")
		private String partyInfo;
		
		/** 审理经过(文书内容)*/
		@JsonProperty("TrialProcedure")
		private String trialProcedure;
		
		/**本院认为(文书内容) */
		@JsonProperty("CourtConsider")
		private String courtConsider;
		
		/**原告诉求(文书内容) */
		@JsonProperty("PlaintiffRequest")
		private String plaintiffRequest;
		
		/**被告答辩(文书内容) */
		@JsonProperty("DefendantReply")
		private String defendantReply;
		
		/**本院查明(文书内容) */
		@JsonProperty("CourtInspect")
		private String courtInspect;
		
		/**一审原告诉求(文书内容) */
		@JsonProperty("PlaintiffRequestOfFirst")
		private String plaintiffRequestOfFirst;
		
		/**一审被告答辩(文书内容) */
		@JsonProperty("DefendantReplyOfFirst")
		private String defendantReplyOfFirst;
		
		/**一审法院查明(文书内容) */
		@JsonProperty("CourtInspectOfFirst")
		private String courtInspectOfFirst;
		
		/**一审法院认为(文书内容) */
		@JsonProperty("CourtConsiderOfFirst")
		private String courtConsiderOfFirst;
		
		/**上诉人诉求(文书内容) */
		@JsonProperty("AppellantRequest")
		private String appellantRequest;
		
		/**被上诉人答辩(文书内容) */
		@JsonProperty("AppelleeArguing")
		private String appelleeArguing;
		
		/**执行经过(文书内容) */
		@JsonProperty("ExecuteProcess")
		private String executeProcess;
		
		/**合议庭(文书内容) */
		@JsonProperty("CollegiateBench")
		private String collegiateBench;
		
		/**裁判日期(文书内容) */
		@JsonProperty("Judege_Date")
		private String judegeDate;
		
		/**记录员(文书内容) */
		@JsonProperty("Recorder")
		private String recorder;
		
		/**关联开庭公告 */
		@JsonProperty("CourtNoticeList")
		private CourtNoticeList courtNoticeList;
		
		/**关联公司列表 */
		@JsonProperty("RelatedCompanies")
		private List<RelatedCompanies> relatedCompanies;
	}
	
	@Data
	public static class CourtNoticeList {
		/**关联开庭公告总条目数 */
		@JsonProperty("TotalNum")
		private String totalNum;
		
		/**CourtNoticeInfo列表字段*/
		@JsonProperty("CourtNoticeInfo")
		private List<CourtNoticeInfo> courtNoticeInfo;
	}
	
	@Data
	public static class RelatedCompanies {
		/**公司KeyNo */
		@JsonProperty("KeyNo")
		private String keyNo;
		
		/**公司名称 */
		@JsonProperty("Name")
		private String name;
	}
	
	@Data
	public static class CourtNoticeInfo {
		
		@JsonProperty("CaseNo")
		private String caseNo;

		@JsonProperty("OpenDate")
		private String openDate;
		
		@JsonProperty("Defendant")
		private String defendant;
		
		@JsonProperty("CaseReason")
		private String caseReason;

		@JsonProperty("Prosecutor")
		private String prosecutor;

		@JsonProperty("Id")
		private String id;
		
		
	}
}
