package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 获取股权冻结信息接口响应对象
 * @author minmin
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class JudicialAssistanceResponseObject  extends ParentObject {
	
	/**返回的数据，详见每个接口说明*/
	@JsonProperty("Result")
	private List<JudicialAssistanceChildObject> result;
	
	@Data
	public static class JudicialAssistanceChildObject {
		/**被执行人*/
		@JsonProperty("ExecutedBy")
		private String executedBy;
		
		/**股权数额*/
		@JsonProperty("EquityAmount")
		private String equityAmount;

		/**执行法院*/
		@JsonProperty("EnforcementCourt")
		private String enforcementCourt;
		/**执行通知书文号*/
		@JsonProperty("ExecutionNoticeNum")
		private String executionNoticeNum;		
		/**类型 | 状态*/
		@JsonProperty("Status")
		private String status;
		/**股权冻结情况*/
		@JsonProperty("EquityFreezeDetail")
		private EquityFreezeDetail equityFreezeDetail;
		/**解除冻结详情*/
		@JsonProperty("EquityUnFreezeDetail")
		private EquityUnFreezeDetail equityUnFreezeDetail;
		/**股东变更信息*/
		@JsonProperty("JudicialPartnersChangeDetail")
		private JudicialPartnersChangeDetail judicialPartnersChangeDetail;
	}
	
	@Data
	public static class EquityFreezeDetail {
		/**相关企业名称*/
		@JsonProperty("CompanyName")
		private String companyName;		
		/**执行事项*/
		@JsonProperty("ExecutionMatters")
		private String executionMatters;
		/**执行文书文号*/
		@JsonProperty("ExecutionDocNum")
		private String executionDocNum;
		/**执行裁定书文号*/
		@JsonProperty("ExecutionVerdictNum")
		private String executionVerdictNum;		
		/**被执行人证件种类*/
		@JsonProperty("ExecutedPersonDocType")
		private String executedPersonDocType;
		/**被执行人证件号码*/
		@JsonProperty("ExecutedPersonDocNum")
		private String executedPersonDocNum;
		/**冻结开始日期*/
		@JsonProperty("FreezeStartDate")
		private String freezeStartDate;
		/**冻结结束日期*/
		@JsonProperty("FreezeEndDate")
		private String freezeEndDate;
		/**冻结期限*/
		@JsonProperty("FreezeTerm")
		private String freezeTerm;
		/**公示日期*/
		@JsonProperty("PublicDate")
		private String publicDate;
	}
	
	@Data
	public static class EquityUnFreezeDetail {
		/**执行事项*/
		@JsonProperty("ExecutionMatters")
		private String executionMatters;	
		/**执行裁定书文号*/
		@JsonProperty("ExecutionVerdictNum")
		private String executionVerdictNum;
		/**执行文书文号*/
		@JsonProperty("ExecutionDocNum")
		private String executionDocNum;
		/**被执行人证件种类*/
		@JsonProperty("ExecutedPersonDocType")
		private String executedPersonDocType;		
		/**被执行人证件号码*/
		@JsonProperty("ExecutedPersonDocNum")
		private String executedPersonDocNum;
		/**解除冻结日期*/
		@JsonProperty("UnFreezeDate")
		private String unFreezeDate;
		/**公示日期*/
		@JsonProperty("PublicDate")
		private String publicDate;
		/**解冻机关*/
		@JsonProperty("ThawOrgan")
		private String thawOrgan;
		/**解冻文书号*/
		@JsonProperty("ThawDocNo")
		private String thawDocNo;
	}
	
	@Data
	public static class JudicialPartnersChangeDetail {
		/**执行事项*/
		@JsonProperty("ExecutionMatters")
		private String executionMatters;	
		/**执行裁定书文号*/
		@JsonProperty("ExecutionVerdictNum")
		private String executionVerdictNum;
		/**被执行人证件种类*/
		@JsonProperty("ExecutedPersonDocType")
		private String executedPersonDocType;
		/**被执行人证件号码*/
		@JsonProperty("ExecutedPersonDocNum")
		private String executedPersonDocNum;		
		/**受让人*/
		@JsonProperty("Assignee")
		private String assignee;
		/**协助执行日期*/
		@JsonProperty("AssistExecDate")
		private String assistExecDate;
		/**受让人证件种类*/
		@JsonProperty("AssigneeDocKind")
		private String assigneeDocKind;
		/**受让人证件号码*/
		@JsonProperty("AssigneeRegNo")
		private String assigneeRegNo;
		/**股权所在公司名称*/
		@JsonProperty("StockCompanyName")
		private String stockCompanyName;
	}
}