package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 司法拍卖列表接口响应对象
 * @author minmin
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class JudicialSaleListResponseObject extends ParentObject{
	
	/**分页对象*/
	@JsonProperty("Paging")
	private PageObject paging;
	
	/**groupItems*/
	@JsonProperty("GroupItems")
	private List<GroupItems> groupItems;
	
	/**返回的数据，详见每个接口说明*/
	@JsonProperty("Result")
	private List<JudicialSaleListChildObject> result;
	
	@Data
	public static class JudicialSaleListChildObject {
		/**id*/
		@JsonProperty("Id")
		private String id;
		
		/**标题*/
		@JsonProperty("Name")
		private String name;

		/**委托法院*/
		@JsonProperty("Executegov")
		private String executegov;
		
		/**拍卖时间*/
		@JsonProperty("ActionRemark")
		private String actionRemark;	
		
		/**起拍价*/
		@JsonProperty("YiWu")
		private String yiWu;

	}
	
	@Data
	public static class GroupItems {
		/**Key*/
		@JsonProperty("Key")
		private String key;
		
		/**Items*/
		@JsonProperty("Items")
		private List<Items> items;


	}
	
	@Data
	public static class Items {
		/**value*/
		@JsonProperty("Value")
		private String value;
		
		/**desc*/
		@JsonProperty("Desc")
		private String desc;

		/**count*/
		@JsonProperty("Count")
		private String count;

	}
}