package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 土地抵押列表接口响应对象
 * @author minmin
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class LandMortgageListResponseObject extends ParentObject{
	
	/**分页对象*/
	@JsonProperty("Paging")
	private PageObject paging;
	
	/**返回的数据，详见每个接口说明*/
	@JsonProperty("Result")
	private List<LandMortgageListChildObject> result;
	
	@Data
	public static class LandMortgageListChildObject {
		/**id*/
		@JsonProperty("Id")
		private String id;
		
		/**地址*/
		@JsonProperty("Address")
		private String address;

		/**行政区*/
		@JsonProperty("AdministrativeArea")
		private String administrativeArea;
		
		/**抵押面积（公顷）*/
		@JsonProperty("MortgageAcreage")
		private String mortgageAcreage;	
		
		/**抵押土地用途*/
		@JsonProperty("MortgagePurpose")
		private String mortgagePurpose;
		
		/**开始日期*/
		@JsonProperty("StartDate")
		private String startDate;
		
		/**结束日期*/
		@JsonProperty("EndDate")
		private String endDate;

	}

}