package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 失信人查询返回对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class SearchCourtAnnouncementResponseObject extends ParentObject{
	
	@JsonProperty("Paging")
	private PageObject paging;
	
	@JsonProperty("Result")
	private List<SearchCourtAnnouncementChildObject> result;
	
	@Data
	public static class SearchCourtAnnouncementChildObject {
		/**提交时间 */
		@JsonProperty("UploadDate")
		private String uploadDate;
		
		
		/**执行法院*/
		@JsonProperty("Court")
		private String court;
		
		
		/**内容*/
		@JsonProperty("Content")
		private String content;
		
		
		/**种类*/
		@JsonProperty("Category")
		private String category;
		
		
		/**公布日期 */
		@JsonProperty("PublishedDate")
		private String publishedDate;
		
		
		/**公布、页*/
		@JsonProperty("PublishedPage")
		private String publishedPage;
		
		
		/**公司名、当事人 */
		@JsonProperty("Party")
		private String party;
		
		
		@JsonProperty("Id")
		private String id;
		
		
		/**上诉人信息 */
		@JsonProperty("ProsecutorList")
		private List<ProsecutorList> prosecutorList;
		
		
		/**被上诉人信息*/
		@JsonProperty("DefendantList")
		private List<DefendantList> defendantList;
		
	}
	
	@Data
	public static class ProsecutorList {
		@JsonProperty("KeyNo")
		private String keyNo;
		
		@JsonProperty("Name")
		private String name;
	}
	
	@Data
	public static class DefendantList {
		@JsonProperty("KeyNo")
		private String keyNo;
		
		@JsonProperty("Name")
		private String name;
	}
}
