package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 	裁判文书查询返回对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class SearchJudgmentDocResponseObject extends ParentObject{
	
	@JsonProperty("Paging")
	private PageObject paging;
	
	@JsonProperty("Result")
	private List<SearchJudgmentDocChildObject> result;
	
	@Data
	public static class SearchJudgmentDocChildObject {
		/**Id */
		@JsonProperty("Id")
		private String id;
		
		
		/**执行法院 */
		@JsonProperty("Court")
		private String court;
		
		
		/**裁判文书名字 */
		@JsonProperty("CaseName")
		private String caseName;
		
		
		/**裁判文书编号 */
		@JsonProperty("CaseNo")
		private String caseNo;
		
		
		/**裁判文书类型 */
		@JsonProperty("CaseType")
		private String caseType;
		
		
		/**发布时间 */
		@JsonProperty("SubmitDate")
		private String submitDate;
		
		
		/**审判时间 */
		@JsonProperty("UpdateDate")
		private String updateDate;
		
		
		/**是否原告（供参考） */
		@JsonProperty("IsProsecutor")
		private String isProsecutor;
		
		
		/**是否被告（供参考） */
		@JsonProperty("IsDefendant")
		private String isDefendant;
		
		
		/**开庭时间年份 */
		@JsonProperty("CourtYear")
		private String courtYear;
		
		
		/**涉案人员角色 */
		@JsonProperty("CaseRole")
		private String caseRole;
		
		
		/**法院级别，最高法院 5 、高级法院 4 、中级法院 3 、基层法院 2 、其他 1 */
		@JsonProperty("CourtLevel")
		private String courtLevel;
		
		
		/**案由 */
		@JsonProperty("CaseReason")
		private String caseReason;
		
		
		/**案由类型 */
		@JsonProperty("CaseReasonType")
		private String caseReasonType;
		
		/**开庭时间月份*/
		@JsonProperty("CourtMonth")
		private String courtMonth;
		
		/**案件金额*/
		@JsonProperty("Amount")
		private String amount;
	}
}
