package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 失信人查询返回对象
 * @author bzh
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class SearchShiXinResponseObject extends ParentObject{
	
	@JsonProperty("Paging")
	private PageObject paging;
	
	@JsonProperty("Result")
	private List<SearchShiXinChildObject> result;
	
	@Data
	public static class SearchShiXinChildObject {
		/**Id */
		@JsonProperty("Id")
		private String Id;
		
		
		/**官网主键（内部保留字段，一般为空） */
		@JsonProperty("Sourceid")
		private String sourceid;
		
		
		/**唯一编号（内部保留字段，一般为空）*/
		@JsonProperty("Uniqueno")
		private String uniqueno;
		
		
		/**被执行人姓名/名称*/
		@JsonProperty("Name")
		private String name;
		
		
		/**立案时间 */
		@JsonProperty("Liandate")
		private String liandate;
		
		
		/**案号 */
		@JsonProperty("Anno")
		private String anno;
		
		
		/**身份证号码/组织机构代码 */
		@JsonProperty("Orgno")
		private String orgno;
		
		
		/**法定代表人或者负责人姓名 */
		@JsonProperty("Ownername")
		private String ownername;
		
		
		/**执行法院 */
		@JsonProperty("Executegov")
		private String executegov;
		
		
		/**所在省份缩写 */
		@JsonProperty("Province")
		private String province;
		
		
		/**做出执行依据单位*/
		@JsonProperty("Executeunite")
		private String executeunite;
		
		
		/**生效法律文书确定的义务 */
		@JsonProperty("Yiwu")
		private String yiwu;
		
		
		/**被执行人的履行情况*/
		@JsonProperty("Executestatus")
		private String executestatus;
		
		/**开庭时间月份*/
		@JsonProperty("Actionremark")
		private String actionremark;
		
		/**发布时间*/
		@JsonProperty("Publicdate")
		private String publicdate;
		
		
		/**年龄*/
		@JsonProperty("Age")
		private String age;
		
		
		/**性别*/
		@JsonProperty("Sexy")
		private String sexy;
		
		
		/**数据更新时间（内部保留字段，现已不再更新时间）*/
		@JsonProperty("Updatedate")
		private String updatedate;
		
		
		/**执行依据文号*/
		@JsonProperty("Executeno")
		private String executeno;
		
		
		/**已履行*/
		@JsonProperty("Performedpart")
		private String performedpart;
		
		
		/**未履行*/
		@JsonProperty("Unperformpart")
		private String unperformpart;
		
		/**组织类型（1：自然人，2：企业，3：社会组织，空白：无法判定）*/
		@JsonProperty("OrgType")
		private String orgType;
		
		/**组织类型名称*/
		@JsonProperty("OrgTypeName")
		private String orgTypeName;
		
		
	}
}
