package info.aspirecn.iov.sjjh.supplier10000033.vo;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.ToString;

/**
 * 获取简易注销信息接口响应对象
 * @author minmin
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class SimpleCancellationResponseObject extends ParentObject{
	
	/**返回的数据，详见每个接口说明*/
	@JsonProperty("Result")
	private SimpleCancellationChildObject result;
	
	@Data
	public static class SimpleCancellationChildObject {
		/**企业名称*/
		@JsonProperty("CompanyName")
		private String companyName;
		
		/**统一社会信用代码/注册号*/
		@JsonProperty("RegNoOrCreditCode")
		private String regNoOrCreditCode;

		/**登记机关*/
		@JsonProperty("Registration")
		private String registration;
		
		/**公告期*/
		@JsonProperty("PublicDate")
		private String publicDate;	
		
		/**全体投资人承诺书Url*/
		@JsonProperty("DocUrl")
		private String docUrl;
		
		/**异议信息*/
		@JsonProperty("DissentList")
		private List<DissentList> dissentList;
		
		/**简易注销结果*/
		@JsonProperty("ResultList")
		private List<ResultList> resultList;
		
		@Data
		public static class DissentList {
			/**异议申请人*/
			@JsonProperty("DissentPerson")
			private String dissentPerson;
			
			/**异议内容*/
			@JsonProperty("DissentContent")
			private String dissentContent;

			/**异议时间*/
			@JsonProperty("DissentDate")
			private String dissentDate;

		}
		
		@Data
		public static class ResultList {
			/**简易注销结果*/
			@JsonProperty("ResultContent")
			private String resultContent;
			
			/**公告申请日期*/
			@JsonProperty("PublicDate")
			private String publicDate;

		}

	}
	
	
}